close all;                                           % 모든 생성된 창을 닫음 
clear all;                                           % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                                 % 명령(command) 창을 비움

t=-3:0.01:3;                                         % 출력할 시간축의 크기를 선택
w0=pi;                                               % 기본 주파수 설정
R=1; C=1;                                            % R과 C의 값 설정 
N=40;                                                % 고조파의 차수를 선택함
X0=0.5; H0=R;                                        % X0, H(0)의 값을 설정 
y=X0*H0*ones(1,length(t));                           % 출력의 직류 성분 계산
for k=1:N
  Yk=(sinc(k/2)/2)*(1/C/(j*k*w0+1/R/C));             % RC회로 출력의 스펙트럼 계산
  y=y+Yk*exp(j*k*w0*t)+conj(Yk)*exp(-j*k*w0*t);      % RC회로 출력 y(t)를 계산
end

plot(t,y);                                           % 출력 파형 도시
title('\bf{출력 y(t)}');                             % RC회로 출력 y(t)를 그림
xlabel('\bf{t}');                                    % x축 라벨 표시 